## pyside-tools 0.1.2-0maemo1

=== CMakeLists.txt ===

cmake_minimum_required(VERSION 2.6)
project(pyside-tools)

find_package(PythonInterp REQUIRED)
find_package(Qt4 4.5.0 REQUIRED)

#enable_testing()

set(pyside_tools_MAJOR_VERSION "0")
set(pyside_tools_MINOR_VERSION "1")
set(pyside_tools_MICRO_VERSION "3")
set(pyside_tools_VERSION "${pyside_tools_MAJOR_VERSION}.${pyside_tools_MINOR_VERSION}.${pyside_tools_MICRO_VERSION}")

# UIC stuff
execute_process(
    COMMAND ${PYTHON_EXECUTABLE} -c "from distutils import sysconfig; \\
        print sysconfig.get_python_lib(1,0,prefix='${CMAKE_INSTALL_PREFIX}')"
    OUTPUT_VARIABLE SITE_PACKAGE
    OUTPUT_STRIP_TRAILING_WHITESPACE)
if (NOT SITE_PACKAGE)
    message(FATAL_ERROR "Could not detect Python module installation directory.")
endif (NOT SITE_PACKAGE)

install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/pyside-uic
        DESTINATION bin
        PERMISSIONS
        OWNER_EXECUTE OWNER_WRITE OWNER_READ
        GROUP_EXECUTE GROUP_READ
        WORLD_EXECUTE WORLD_READ)


install(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/pysideuic
        DESTINATION ${SITE_PACKAGE})

configure_file("${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
               IMMEDIATE @ONLY)

add_custom_target(uninstall "${CMAKE_COMMAND}"
                  -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

set(ARCHIVE_NAME ${CMAKE_PROJECT_NAME}-${pyside_tools_VERSION})
add_custom_target(dist
    COMMAND git archive --prefix=${ARCHIVE_NAME}/ HEAD
        | bzip2 > ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.bz2
        WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

add_subdirectory(pyrcc)
add_subdirectory(pylupdate)
#add_subdirectory(tests)

=== pylupdate/CMakeLists.txt ===

set(lupdate_SRC
fetchtr.cpp
main.cpp
merge.cpp
metatranslator.cpp
numberh.cpp
proparser.cpp
sametexth.cpp
simtexth.cpp
translator.cpp
)

set(lupdate_MOC_HEADERS translator.h)
qt4_wrap_cpp(lupdate_MOC_OUTFILES ${lupdate_MOC_HEADERS})

add_executable(pyside-lupdate ${lupdate_SRC} ${lupdate_MOC_OUTFILES})
include_directories(pyside-lupdate
                    ${CMAKE_CURRENT_SOURCE_DIR}
                    ${QT_INCLUDE_DIR}
                    ${QT_QT_INCLUDE_DIR}
                    ${QT_QTXML_INCLUDE_DIR}
                    ${QT_QTCORE_INCLUDE_DIR}
                    ${QT_QTGUI_INCLUDE_DIR})

target_link_libraries(pyside-lupdate
                      ${QT_QTCORE_LIBRARY}
                      ${QT_QTXML_LIBRARY}
                      ${QT_QTGUI_LIBRARY})

install(TARGETS pyside-lupdate RUNTIME DESTINATION bin)

=== pyrcc/CMakeLists.txt ===

add_executable(pyside-rcc4 main.cpp rcc.cpp)
include_directories(pyside-rcc4
                    ${QT_INCLUDE_DIR}
                    ${QT_QT_INCLUDE_DIR}
                    ${QT_QTXML_INCLUDE_DIR}
                    ${QT_QTCORE_INCLUDE_DIR})

target_link_libraries(pyside-rcc4
                      ${QT_QTCORE_LIBRARY}
                      ${QT_QTXML_LIBRARY})

install(TARGETS pyside-rcc4 RUNTIME DESTINATION bin)

=== debian/changelog ===
pyside-tools (0.1.2-0maemo1) unstable; urgency=low

  * Final 0.1.2 release for Maemo.
  * Downgrade debhelper compatibility level to 5
  * Force a newer CDBS version that has the cmake.mk file.
  * Replace Qt4 package names in Depends with libqt4-maemo5-* ones.
  * Drop unnecessary versioned dependencies.
  * Modify debian/rules so that Qt 4.6 can be found in /opt/qt4-maemo5 on
    Maemo.
  * Disable tests (they obviously do not run on Scratchbox ARM target).
  * debian/rules: append /usr/lib to CMAKE_INSTALL_RPATH to workaround bug in
    scratchbox-toolchain-cs2007q3-glibc2.5-arm7 1.0.12-10 (currently used in
    Maemo autobuilder).

 -- Anderson Lizardo <anderson.lizardo@openbossa.org>  Thu, 19 Nov 2009 11:57:54 -0400

pyside-tools (0.1.2-0pyside0~ppa4) unstable; urgency=low

  * Release 0.1.2
  * Added pyside-lupdate tool
  * Added XS-Python-Version to control (used while PySide supports only one python version)

 -- Lauro Moura <lauro.neto@openbossa.org>  Fri, 23 Oct 2009 16:55:38 -0300

pyside-tools (0.1) unstable; urgency=low

  * Initial Release.

 -- Lauro Moura <contact@pyside.org>  Fri, 28 Aug 2009 14:42:45 -0300

=== debian/control ===
Source: pyside-tools
Section: python
Priority: extra
Maintainer: Lauro Moura <contact@pyside.org>
Build-Depends: cdbs (>= 0.4.52), debhelper (>= 5), python-all-dev, cmake, libqt4-maemo5-dev
XS-Python-Version: 2.5
Standards-Version: 3.8.0
Homepage: http://www.pyside.org/

Package: pyside-tools
Architecture: any
XB-Python-Version: ${python:Versions}
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, pyside-qt4
Description: Developement tools for PySide
 Development tools for PySide, like the UI and resource compilers.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk

DEB_PYTHON_SYSTEM = pysupport
include /usr/share/cdbs/1/class/cmake.mk

# Add here any variable or target overrides you need.

# Allow to find Qt 4.6 on Maemo
DEB_CMAKE_EXTRA_FLAGS = -DCMAKE_SKIP_RPATH=NO -DCMAKE_BUILD_WITH_INSTALL_RPATH=YES -DCMAKE_INSTALL_RPATH="/opt/qt4-maemo5/lib;/usr/lib"
PATH := $(PATH):/opt/qt4-maemo5/bin
export PATH

## pyside-tools 0.2.0-1maemo1

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,13 +4,16 @@
 
 find_package(PythonInterp REQUIRED)
 find_package(Qt4 4.5.0 REQUIRED)
+find_package(PySide 0.4.0 REQUIRED)
 
-#enable_testing()
+enable_testing()
 
 set(pyside_tools_MAJOR_VERSION "0")
-set(pyside_tools_MINOR_VERSION "1")
-set(pyside_tools_MICRO_VERSION "3")
+set(pyside_tools_MINOR_VERSION "2")
+set(pyside_tools_MICRO_VERSION "0")
 set(pyside_tools_VERSION "${pyside_tools_MAJOR_VERSION}.${pyside_tools_MINOR_VERSION}.${pyside_tools_MICRO_VERSION}")
+
+configure_file(pyside-uic.in pyside-uic @ONLY)
 
 # UIC stuff
 execute_process(
@@ -20,9 +23,9 @@
     OUTPUT_STRIP_TRAILING_WHITESPACE)
 if (NOT SITE_PACKAGE)
     message(FATAL_ERROR "Could not detect Python module installation directory.")
-endif (NOT SITE_PACKAGE)
+endif()
 
-install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/pyside-uic
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/pyside-uic
         DESTINATION bin
         PERMISSIONS
         OWNER_EXECUTE OWNER_WRITE OWNER_READ
@@ -42,11 +45,15 @@
 
 set(ARCHIVE_NAME ${CMAKE_PROJECT_NAME}-${pyside_tools_VERSION})
 add_custom_target(dist
-    COMMAND git archive --prefix=${ARCHIVE_NAME}/ HEAD
-        | bzip2 > ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.bz2
-        WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
+    COMMAND mkdir -p "${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}" &&
+            git log > "${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}/ChangeLog" &&
+            git archive --prefix=${ARCHIVE_NAME}/ HEAD --format=tar --output="${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar" &&
+            tar -C "${CMAKE_BINARY_DIR}" --owner=root --group=root -r "${ARCHIVE_NAME}/ChangeLog" -f "${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar" &&
+            bzip2 -f9 "${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar" &&
+            echo "Source package created at ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.bz2.\n"
+    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
 
 add_subdirectory(pyrcc)
 add_subdirectory(pylupdate)
-#add_subdirectory(tests)
+add_subdirectory(tests)

=== debian/changelog ===
pyside-tools (0.2.0-1maemo1) unstable; urgency=low

  * Release 0.2.0

 -- Luciano Wolf <luciano.wolf@openbossa.org>  Wed, 04 Aug 2010 11:09:07 -0300

pyside-tools (0.1.3-0) unstable; urgency=low

  * Update to 0.1.3
  * Does not need PySide to build

 -- Lauro Neto <lauro.neto@openbossa.org>  Tue, 04 May 2010 19:24:41 -0300

=== debian/control ===
Source: pyside-tools
Section: python
Priority: extra
Maintainer: PySide Team <pyside@openbossa.org>
Build-Depends: cdbs, debhelper7, python-all-dev (>= 2.5), cmake (>= 2.6.0), libqt4-dev (>= 4.5.0), pyside-qt4 (>= 0.4.0)
XS-Python-Version: 2.5
Standards-Version: 3.8.3
Homepage: http://www.pyside.org/

Package: pyside-tools
Architecture: any
Section: python
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, pyside-qt4 (>= 0.4.0)
XB-Python-Version: ${python:Versions}
Description: Developement tools for PySide
 Development tools for PySide, like the UI and resource compilers.

=== debian/rules ===
#!/usr/bin/make -f

# Allow to find Qt 4.6 on Maemo
PATH := /usr/bin/dh7:$(PATH)
export PATH

%:
	dh --buildsystem=cmake --parallel $@

override_dh_auto_test:

## pyside-tools 0.2.2-1maemo1

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 set(pyside_tools_MAJOR_VERSION "0")
 set(pyside_tools_MINOR_VERSION "2")
-set(pyside_tools_MICRO_VERSION "0")
+set(pyside_tools_MICRO_VERSION "2")
 set(pyside_tools_VERSION "${pyside_tools_MAJOR_VERSION}.${pyside_tools_MINOR_VERSION}.${pyside_tools_MICRO_VERSION}")
 
 configure_file(pyside-uic.in pyside-uic @ONLY)

=== pyrcc/CMakeLists.txt ===

add_executable(pyside-rcc main.cpp rcc.cpp)
include_directories(pyside-rcc
                    ${QT_INCLUDE_DIR}
                    ${QT_QT_INCLUDE_DIR}
                    ${QT_QTXML_INCLUDE_DIR}
                    ${QT_QTCORE_INCLUDE_DIR})

target_link_libraries(pyside-rcc
                      ${QT_QTCORE_LIBRARY}
                      ${QT_QTXML_LIBRARY})

install(TARGETS pyside-rcc RUNTIME DESTINATION bin)

=== tests/CMakeLists.txt ===

add_subdirectory(rcc)

=== tests/rcc/CMakeLists.txt ===

add_test(RccTest ${CMAKE_CURRENT_SOURCE_DIR}/run_test.sh
                 ${PYTHON_EXECUTABLE}
                 ${CMAKE_CURRENT_SOURCE_DIR}/rcc_test.py
                 ${CMAKE_CURRENT_SOURCE_DIR}/example.qrc
                 ${CMAKE_CURRENT_SOURCE_DIR}
                 ${CMAKE_CURRENT_BINARY_DIR}/../../pyrcc/ )

=== debian/changelog ===
pyside-tools (0.2.2-1maemo1) unstable; urgency=low

  * Maemo port.
    + Changed dependency from debhelper to debhelper7

 -- Lauro Moura <lauro.neto@openbossa.org>  Fri, 29 Oct 2010 19:38:58 +0000

pyside-tools (0.2.2-1~pyside1~lucid1) lucid; urgency=low

  * Build in Lucid.

 -- Didier Raboud <didier@raboud.com>  Fri, 15 Oct 2010 17:56:07 +0200

pyside-tools (0.2.2-1~pyside1) maverick; urgency=low

  * New 0.2.2 release.

 -- Didier Raboud <didier@raboud.com>  Fri, 15 Oct 2010 16:51:39 +0200

=== debian/control ===
Source: pyside-tools
Priority: extra
Section: libs
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Didier Raboud <didier@raboud.com>
Build-Depends: debhelper7, cmake (>= 2.6.0), libqt4-dev (>= 4.5.0), python-all-dev (>= 2.3.5-11),
	libpyside-dev (>= 0.4.0), python-pyside.qtcore (>= 0.4.0)
Standards-Version: 3.9.1
Vcs-Svn: svn://svn.debian.org/python-modules/packages/pyside-tools/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/python-modules/packages/pyside-tools/?op=log
Homepage: http://www.pyside.org/

Package: pyside-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Recommends: python-pyside (>= 0.4.0)
Description: development tools for PySide (uic, rcc, lupdate)
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 PySide ships Python bindings for the Qt4 framework. This package ships
 the following accompanying tools:
  * pyside-rcc - PySide resource compiler 
  * pyside-uic - Python User Interface Compiler for PySide
  * pyside-lupdate - update Qt Linguist translation files for PySide

=== debian/rules ===
#!/usr/bin/make -f

PATH := /usr/bin/dh7:$(PATH)
export PATH

%:
	dh $@

## pyside-tools 0.2.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,37 +4,49 @@
 
 find_package(PythonInterp REQUIRED)
 find_package(Qt4 4.5.0 REQUIRED)
-find_package(PySide 0.4.0 REQUIRED)
-
-enable_testing()
+find_package(PySide 1.0.0 REQUIRED)
 
 set(pyside_tools_MAJOR_VERSION "0")
 set(pyside_tools_MINOR_VERSION "2")
-set(pyside_tools_MICRO_VERSION "2")
+set(pyside_tools_MICRO_VERSION "8")
 set(pyside_tools_VERSION "${pyside_tools_MAJOR_VERSION}.${pyside_tools_MINOR_VERSION}.${pyside_tools_MICRO_VERSION}")
 
-configure_file(pyside-uic.in pyside-uic @ONLY)
+configure_file("pysideuic/__init__.py.in" "__init__.py" @ONLY)
+
+option(BUILD_TESTS "Build tests." TRUE)
 
 # UIC stuff
-execute_process(
-    COMMAND ${PYTHON_EXECUTABLE} -c "from distutils import sysconfig; \\
-        print sysconfig.get_python_lib(1,0,prefix='${CMAKE_INSTALL_PREFIX}')"
-    OUTPUT_VARIABLE SITE_PACKAGE
+if (NOT SITE_PACKAGE)
+    execute_process(
+        COMMAND ${PYTHON_EXECUTABLE} -c "from distutils import sysconfig; \\
+            print sysconfig.get_python_lib(1,0,prefix='${CMAKE_INSTALL_PREFIX}')"
+        OUTPUT_VARIABLE SITE_PACKAGE
     OUTPUT_STRIP_TRAILING_WHITESPACE)
-if (NOT SITE_PACKAGE)
-    message(FATAL_ERROR "Could not detect Python module installation directory.")
+    if (NOT SITE_PACKAGE)
+        message(FATAL_ERROR "Could not detect Python module installation directory.")
+    endif()
 endif()
 
-install(FILES ${CMAKE_CURRENT_BINARY_DIR}/pyside-uic
+install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/pyside-uic
         DESTINATION bin
         PERMISSIONS
         OWNER_EXECUTE OWNER_WRITE OWNER_READ
         GROUP_EXECUTE GROUP_READ
         WORLD_EXECUTE WORLD_READ)
 
+install(FILES "${CMAKE_CURRENT_BINARY_DIR}/__init__.py"
+        DESTINATION "${SITE_PACKAGE}/pysideuic")
+install(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/pysideuic
+        DESTINATION ${SITE_PACKAGE}
+        PATTERN "*.in" EXCLUDE
+        PATTERN "*pysideuic/__init__.py" EXCLUDE
+        PATTERN "*pysideuic\\__init__.py" EXCLUDE)
 
-install(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/pysideuic
-        DESTINATION ${SITE_PACKAGE})
+# Man pages for pyside-uic
+if (NOT win32)
+    file(GLOB manpages "${CMAKE_CURRENT_SOURCE_DIR}/pysideuic/*.1")
+    install(FILES ${manpages} DESTINATION share/man/man1)
+endif()
 
 configure_file("${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake"
                "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
@@ -55,5 +67,8 @@
 
 add_subdirectory(pyrcc)
 add_subdirectory(pylupdate)
-add_subdirectory(tests)
 
+if (BUILD_TESTS)
+    enable_testing()
+    add_subdirectory(tests)
+endif ()

=== tests/rcc/CMakeLists.txt ===

add_test(RccTest ${CMAKE_CURRENT_SOURCE_DIR}/run_test.sh
                 ${PYTHON_EXECUTABLE}
                 ${CMAKE_CURRENT_SOURCE_DIR}/rcc_test.py
                 ${CMAKE_CURRENT_SOURCE_DIR}/example.qrc
                 ${CMAKE_CURRENT_SOURCE_DIR} )

=== debian/changelog ===
pyside-tools (0.2.8-1) unstable; urgency=low

  * New 0.2.8 (1.0.1) upstream release.
    - Bump relations to pyside to 1.0.1.
    - Refresh patches.

  * Make sure dh_python2 is setup correctly.
  * Correct VCS-Browser field.
  * Upload to unstable.

 -- Didier Raboud <odyx@debian.org>  Sun, 03 Apr 2011 18:11:47 +0200

pyside-tools (0.2.7-1) experimental; urgency=low

  * Initial release. (Closes: #545022)

 -- Didier Raboud <didier@raboud.com>  Thu, 18 Nov 2010 11:28:57 +0100

=== debian/control ===
Source: pyside-tools
Priority: optional
Section: libs
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Didier Raboud <odyx@debian.org>
Build-Depends: debhelper (>= 7.0.50),
 cmake (>= 2.6.0),
 libqt4-dev (>= 4:4.7.0),
 python-all (>= 2.6.6-3),
 libpyside-dev (>= 1.0.1),
 python-pyside.qtcore (>= 1.0.1)
Standards-Version: 3.9.1
Vcs-Svn: svn://svn.debian.org/python-modules/packages/pyside-tools/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/pyside-tools/
Homepage: http://www.pyside.org/
X-Python-Version: >= 2.6

Package: pyside-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtcore (>= 1.0.1)
Recommends: python-pyside (>= 1.0.1)
Description: development tools for PySide (uic, rcc, lupdate)
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 PySide ships Python bindings for the Qt4 framework. This package ships
 the following accompanying tools:
  * pyside-rcc - PySide resource compiler 
  * pyside-uic - Python User Interface Compiler for PySide
  * pyside-lupdate - update Qt Linguist translation files for PySide

## pyside-tools 0.2.10-1maemo1

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,11 +4,11 @@
 
 find_package(PythonInterp REQUIRED)
 find_package(Qt4 4.5.0 REQUIRED)
-find_package(PySide 1.0.0 REQUIRED)
+find_package(PySide 1.0.4 REQUIRED)
 
 set(pyside_tools_MAJOR_VERSION "0")
 set(pyside_tools_MINOR_VERSION "2")
-set(pyside_tools_MICRO_VERSION "8")
+set(pyside_tools_MICRO_VERSION "10")
 set(pyside_tools_VERSION "${pyside_tools_MAJOR_VERSION}.${pyside_tools_MINOR_VERSION}.${pyside_tools_MICRO_VERSION}")
 
 configure_file("pysideuic/__init__.py.in" "__init__.py" @ONLY)

=== tests/CMakeLists.txt ===

add_subdirectory(rcc)

add_test("test_qwizard" ${PYTHON_EXECUTABLE} ${CMAKE_SOURCE_DIR}/pyside-uic "${CMAKE_CURRENT_SOURCE_DIR}/qwizard_test.ui")
set_tests_properties("test_qwizard" PROPERTIES
                     ENVIRONMENT "PYTHONPATH=${CMAKE_SOURCE_DIR}")

=== debian/changelog ===
pyside-tools (0.2.10-1maemo1) unstable; urgency=low

  * Port to Maemo5.

 -- Willer Moreira <willer.moreira@openbossa.org>  Tue, 05 Jul 2011 10:41:44 -4000

pyside-tools (0.2.10-1) unstable; urgency=low

  * New 0.2.10 (1.0.4) upstream release.
    - Bump relations to pyside to 1.0.4.
    - Refresh patches.

 -- Didier Raboud <odyx@debian.org>  Sun, 26 Jun 2011 11:51:49 +0200

pyside-tools (0.2.9-1) unstable; urgency=low

  * New 0.2.9 (1.0.3) upstream release.
    - Bump relations to pyside to 1.0.3.
    - Refresh patches.
  * Update relationships to cope with eventual backports.
  * Bump Standards-Version to 3.9.2.0 without changes needed.

 -- Didier Raboud <odyx@debian.org>  Sun, 29 May 2011 17:50:24 +0200

=== debian/control ===
Source: pyside-tools
Priority: optional
Section: libs
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Didier Raboud <odyx@debian.org>
Build-Depends: debhelper7 (>= 7.4.11),
 cmake (>= 2.6.0),
 quilt (>= 0.45),
 libqt4-dev (>= 4.7.0~),
 python-all (>= 2.5),
 libpyside-dev (>= 1.0.3),
 python-pyside.qtcore (>= 1.0.3)
Standards-Version: 3.9.2.0
Vcs-Svn: svn://svn.debian.org/python-modules/packages/pyside-tools/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/pyside-tools/
Homepage: http://www.pyside.org/
X-Python-Version: >= 2.6

Package: pyside-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtcore (>= 1.0.3)
Recommends: python-pyside (>= 1.0.3)
Description: development tools for PySide (uic, rcc, lupdate)
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 PySide ships Python bindings for the Qt4 framework. This package ships
 the following accompanying tools:
  * pyside-rcc - PySide resource compiler 
  * pyside-uic - Python User Interface Compiler for PySide
  * pyside-lupdate - update Qt Linguist translation files for PySide

=== debian/rules ===
--- 
+++ 
@@ -4,4 +4,4 @@
 export PATH
 
 %:
-	dh $@
+	dh --with quilt $@

## pyside-tools 0.2.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 set(pyside_tools_MAJOR_VERSION "0")
 set(pyside_tools_MINOR_VERSION "2")
-set(pyside_tools_MICRO_VERSION "10")
+set(pyside_tools_MICRO_VERSION "11")
 set(pyside_tools_VERSION "${pyside_tools_MAJOR_VERSION}.${pyside_tools_MINOR_VERSION}.${pyside_tools_MICRO_VERSION}")
 
 configure_file("pysideuic/__init__.py.in" "__init__.py" @ONLY)
@@ -65,6 +65,7 @@
             echo "Source package created at ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.bz2.\n"
     WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
 
+set(PYSIDERCC_EXECUTABLE ${CMAKE_CURRENT_BINARY_DIR}/pyrcc/pyside-rcc)
 add_subdirectory(pyrcc)
 add_subdirectory(pylupdate)

=== debian/changelog ===
pyside-tools (0.2.11-1) unstable; urgency=high

  * New 0.2.11 upstream release.
    - Fixes the critical #901 upstream bug, hence setting urgency to high.

  * Update packaging to 0.2.11:
    - Patches:
      - drop fix_tests.patch
      - update u_4125d2d_Fix_pysideuictest.patch
    - Add pkg-config, xvfb, xauth, libshiboken-dev and python-pyside.qtgui
      Build-Deps.
    - Run tests in xvfb.

 -- Didier Raboud <odyx@debian.org>  Mon, 18 Jul 2011 22:38:20 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,16 @@
 Section: libs
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Didier Raboud <odyx@debian.org>
-Build-Depends: debhelper7 (>= 7.4.11),
+Build-Depends: debhelper (>= 7.0.50~),
  cmake (>= 2.6.0),
- quilt (>= 0.45),
- libqt4-dev (>= 4.7.0~),
- python-all (>= 2.5),
- libpyside-dev (>= 1.0.3),
- python-pyside.qtcore (>= 1.0.3)
+ libqt4-dev (>= 4:4.7.0),
+ python-all (>= 2.6.6-3~),
+ pkg-config,
+ libshiboken-dev (>= 1.0.4),
+ xvfb, xauth,
+ libpyside-dev (>= 1.0.4),
+ python-pyside.qtcore (>= 1.0.4),
+ python-pyside.qtgui (>= 1.0.4)
 Standards-Version: 3.9.2.0
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/pyside-tools/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/pyside-tools/
@@ -18,8 +21,8 @@
 
 Package: pyside-tools
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtcore (>= 1.0.3)
-Recommends: python-pyside (>= 1.0.3)
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtcore (>= 1.0.4)
+Recommends: python-pyside (>= 1.0.4)
 Description: development tools for PySide (uic, rcc, lupdate)
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.

## pyside-tools 0.2.13

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,11 +4,11 @@
 
 find_package(PythonInterp REQUIRED)
 find_package(Qt4 4.5.0 REQUIRED)
-find_package(PySide 1.0.4 REQUIRED)
+find_package(PySide 1.0.6 REQUIRED)
 
 set(pyside_tools_MAJOR_VERSION "0")
 set(pyside_tools_MINOR_VERSION "2")
-set(pyside_tools_MICRO_VERSION "11")
+set(pyside_tools_MICRO_VERSION "13")
 set(pyside_tools_VERSION "${pyside_tools_MAJOR_VERSION}.${pyside_tools_MINOR_VERSION}.${pyside_tools_MICRO_VERSION}")
 
 configure_file("pysideuic/__init__.py.in" "__init__.py" @ONLY)

=== debian/changelog ===
pyside-tools (0.2.13-3) unstable; urgency=low

  * Move pyside-tools to Section: python. (Closes: #648825)

 -- Didier Raboud <odyx@debian.org>  Mon, 12 Dec 2011 10:38:13 +0100

pyside-tools (0.2.13-2) unstable; urgency=low

  [ odyx ]
  * Bump relationships on shiboken and pyside to 1.0.6.
  * pyside-tools 0.2.13-1 Debian release.
  * Move pyside-tools to Section: python.

  [ Didier Raboud ]

 -- Didier Raboud <odyx@debian.org>  Mon, 12 Dec 2011 10:23:08 +0100

pyside-tools (0.2.13-1) unstable; urgency=low

  * New 0.2.13 (1.0.6) upstream release.
    - Bump relationships on shiboken and pyside to 1.0.6.
    - Refresh patches.

 -- Didier Raboud <odyx@debian.org>  Fri, 26 Aug 2011 12:22:06 +0200

pyside-tools (0.2.12-1) unstable; urgency=low

  * New 0.2.12 upstream release.
    - Bump relations to PySide to 1.0.5.
    - Refresh patches.

 -- Didier Raboud <odyx@debian.org>  Thu, 04 Aug 2011 15:21:35 +0200

=== debian/control ===
Source: pyside-tools
Priority: optional
Section: python
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Didier Raboud <odyx@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 cmake (>= 2.6.0),
 libqt4-dev (>= 4:4.7.0),
 python-all (>= 2.6.6-3~),
 pkg-config,
 libshiboken-dev (>= 1.0.6),
 xvfb, xauth,
 libpyside-dev (>= 1.0.6),
 python-pyside.qtcore (>= 1.0.6),
 python-pyside.qtgui (>= 1.0.6)
Standards-Version: 3.9.2.0
Vcs-Svn: svn://svn.debian.org/python-modules/packages/pyside-tools/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/pyside-tools/
Homepage: http://www.pyside.org/
X-Python-Version: >= 2.6

Package: pyside-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtcore (>= 1.0.6)
Recommends: python-pyside (>= 1.0.6)
Description: development tools for PySide (uic, rcc, lupdate)
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 PySide ships Python bindings for the Qt4 framework. This package ships
 the following accompanying tools:
  * pyside-rcc - PySide resource compiler 
  * pyside-uic - Python User Interface Compiler for PySide
  * pyside-lupdate - update Qt Linguist translation files for PySide

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --with python2 $@

override_dh_auto_test:
	# Run tests in fake X Server
	xvfb-run -a -s -noreset dh_auto_test

=== debian/watch ===
version=3
http://www.pyside.org/files/pyside-tools-([\d\.]*).tar.bz2

## pyside-tools 0.2.14

=== debian/changelog ===
pyside-tools (0.2.14-2) unstable; urgency=low

  * Drop v3 files from python2 dist-packages directories; fixes the
    package installation. (Closes: #680635)

 -- Didier Raboud <odyx@debian.org>  Fri, 08 Mar 2013 17:08:14 +0100

pyside-tools (0.2.14-1) unstable; urgency=low

  * New 0.2.14 upstream release.
    - Refresh patches.

  * Bump Standards-Version to 3.9.3 without changes needed.

 -- Didier Raboud <odyx@debian.org>  Sat, 07 Jul 2012 02:35:25 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  libpyside-dev (>= 1.0.6),
  python-pyside.qtcore (>= 1.0.6),
  python-pyside.qtgui (>= 1.0.6)
-Standards-Version: 3.9.2.0
+Standards-Version: 3.9.3
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/pyside-tools/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/pyside-tools/
 Homepage: http://www.pyside.org/

## pyside-tools 0.2.15

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,13 @@
-
 cmake_minimum_required(VERSION 2.6)
 project(pyside-tools)
 
-find_package(PythonInterp REQUIRED)
+find_package(Shiboken 1.1.1 REQUIRED)
 find_package(Qt4 4.5.0 REQUIRED)
 find_package(PySide 1.0.6 REQUIRED)
 
 set(pyside_tools_MAJOR_VERSION "0")
 set(pyside_tools_MINOR_VERSION "2")
-set(pyside_tools_MICRO_VERSION "13")
+set(pyside_tools_MICRO_VERSION "15")
 set(pyside_tools_VERSION "${pyside_tools_MAJOR_VERSION}.${pyside_tools_MINOR_VERSION}.${pyside_tools_MICRO_VERSION}")
 
 configure_file("pysideuic/__init__.py.in" "__init__.py" @ONLY)
@@ -18,8 +17,9 @@
 # UIC stuff
 if (NOT SITE_PACKAGE)
     execute_process(
-        COMMAND ${PYTHON_EXECUTABLE} -c "from distutils import sysconfig; \\
-            print sysconfig.get_python_lib(1,0,prefix='${CMAKE_INSTALL_PREFIX}')"
+        COMMAND ${SHIBOKEN_PYTHON_INTERPRETER} -c "from __future__ import print_function; \\
+            from distutils import sysconfig; \\
+            print(sysconfig.get_python_lib(1,0,prefix='${CMAKE_INSTALL_PREFIX}'))"
         OUTPUT_VARIABLE SITE_PACKAGE
     OUTPUT_STRIP_TRAILING_WHITESPACE)
     if (NOT SITE_PACKAGE)
@@ -73,3 +73,4 @@
     enable_testing()
     add_subdirectory(tests)
 endif ()
+

=== pylupdate/CMakeLists.txt ===
--- 
+++ 
@@ -29,3 +29,10 @@
                       ${QT_QTGUI_LIBRARY})
 
 install(TARGETS pyside-lupdate RUNTIME DESTINATION bin)
+
+# Man pages
+if (NOT win32)
+    file(GLOB manpages "${CMAKE_CURRENT_SOURCE_DIR}/*.1")
+    install(FILES ${manpages} DESTINATION share/man/man1)
+endif()
+

=== pyrcc/CMakeLists.txt ===
--- 
+++ 
@@ -11,3 +11,10 @@
                       ${QT_QTXML_LIBRARY})
 
 install(TARGETS pyside-rcc RUNTIME DESTINATION bin)
+
+# Man pages
+if (NOT win32)
+    file(GLOB manpages "${CMAKE_CURRENT_SOURCE_DIR}/*.1")
+    install(FILES ${manpages} DESTINATION share/man/man1)
+endif()
+

=== tests/CMakeLists.txt ===
find_package(Shiboken)
add_subdirectory(rcc)
add_test(QWizard ${SHIBOKEN_PYTHON_INTERPRETER} ${CMAKE_SOURCE_DIR}/pyside-uic "${CMAKE_CURRENT_SOURCE_DIR}/qwizard_test.ui")
set_tests_properties(QWizard PROPERTIES
                     ENVIRONMENT "PYTHONPATH=$ENV{PYTHONPATH}:${CMAKE_SOURCE_DIR}")

=== tests/rcc/CMakeLists.txt ===

macro(ADD_RCC_TEST name pyfile qrcfile)
    add_test(${name} ${CMAKE_CURRENT_SOURCE_DIR}/run_test.sh
                     ${PYSIDERCC_EXECUTABLE}
                     ${CMAKE_CURRENT_SOURCE_DIR}/${pyfile}
                     ${CMAKE_CURRENT_SOURCE_DIR}/${qrcfile}
                     ${CMAKE_CURRENT_SOURCE_DIR})
endmacro()

add_rcc_test(RccTest rcc_test.py example.qrc)
add_rcc_test(RccImageTest rcc_image_test.py image.qrc)

=== debian/changelog ===
pyside-tools (0.2.15-1build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:40:24 +0000

pyside-tools (0.2.15-1) unstable; urgency=low

  * New 0.2.15 upstream release.
    - Refresh patches.

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Bart Martens ]
  * Update debian/watch

  [ Didier Raboud ]
  * Bump Build-Depends against shiboken to 1.2.1-2~ as -1 has no valid cmake
    default

 -- Didier Raboud <odyx@debian.org>  Wed, 18 Sep 2013 20:36:26 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,22 @@
 Source: pyside-tools
 Priority: optional
 Section: python
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Didier Raboud <odyx@debian.org>
 Build-Depends: debhelper (>= 7.0.50~),
  cmake (>= 2.6.0),
  libqt4-dev (>= 4:4.7.0),
  python-all (>= 2.6.6-3~),
  pkg-config,
- libshiboken-dev (>= 1.0.6),
+ libshiboken-dev (>= 1.2.1-2~),
  xvfb, xauth,
  libpyside-dev (>= 1.0.6),
  python-pyside.qtcore (>= 1.0.6),
  python-pyside.qtgui (>= 1.0.6)
 Standards-Version: 3.9.3
-Vcs-Svn: svn://svn.debian.org/python-modules/packages/pyside-tools/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/pyside-tools/
+Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/pyside-tools/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/pyside-tools/trunk/
 Homepage: http://www.pyside.org/
 X-Python-Version: >= 2.6

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --with python2 $@

override_dh_python2:
	dh_python2
	# Drop v3 port for now
	rm -Rf debian/pyside-tools/usr/lib/python*/*-packages/pysideuic/port_v3/

override_dh_auto_test:
	# Run tests in fake X Server
	xvfb-run -a -s -noreset dh_auto_test
